/* Jungle Monkey
 * Copyright (C) 1999-2001  The Regents of the University of Michigan
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _GGUI_FILES_H
#define _GGUI_FILES_H

#include <glib.h>
#include <gnet/gnet.h>
#include "jmchannel/jmchannel.h"


void 	ggui_file_init (void);
void 	ggui_file_shutdown (void);
void 	ggui_file_load (void);
void 	ggui_file_save (void);

void 	ggui_file_show (JMChannel* channel, JMAnn* ann);
void    ggui_file_get_shown (JMChannel** channelp, JMAnn** annp);

gboolean ggui_file_have (const GURL* url);

void	ggui_file_announce_update (JMChannel* channel, JMAnn* ann);
void	ggui_file_announce_remove (JMChannel* channel, JMAnn* ann);

void  	ggui_file_add_file (const GURL* channel, const gchar* cpath, const gchar* path);
void	ggui_file_add_dir (const GURL* channel, const gchar* cpath, const gchar* path);
void	ggui_file_add_url (const GURL* channel, const gchar* cpath, 
			   const gchar* name, const GURL* url);
void	ggui_file_create_dir (const GURL* channel, const gchar* path, const gchar* name);
void	ggui_file_create_channel_from_dir (const GURL* channel, const gchar* cpath, 
					   const gchar* name, const gchar* path);
void	ggui_file_remove (const GURL* channel, const gchar* path);
void	ggui_file_leave (const GURL* channel);
void	ggui_file_update (const GURL* url);

void	ggui_file_show_toolbar (void);
void	ggui_file_update_toolbar (void);


#endif /* _GGUI_FILES_H */

