/* Jungle Monkey
 * Copyright (C) 1999-2001  The Regents of the University of Michigan
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#include "pixmaps.h"
#include "ggui.h"
#include "icons/icons.h"


GdkPixmap* x_pixmap		= NULL;
GdkBitmap* x_mask		= NULL;

GdkPixmap* folder_pixmap 	= NULL;
GdkBitmap* folder_mask 		= NULL;
GdkPixmap* create_dir_pixmap	= NULL;
GdkBitmap* create_dir_mask 	= NULL;
GdkPixmap* back_pixmap 		= NULL;
GdkBitmap* back_mask 		= NULL;

GdkPixmap* page_pixmap 		= NULL;
GdkBitmap* page_mask 		= NULL;
GdkPixmap* gray_page_pixmap 	= NULL;
GdkBitmap* gray_page_mask 	= NULL;
GdkPixmap* down_page_pixmap 	= NULL;
GdkBitmap* down_page_mask 	= NULL;

GdkPixmap* url_pixmap 		= NULL;
GdkBitmap* url_mask 		= NULL;

GdkPixmap* channel_pixmap 	= NULL;
GdkBitmap* channel_mask 	= NULL;
GdkPixmap* gray_channel_pixmap 	= NULL;
GdkBitmap* gray_channel_mask 	= NULL;
GdkPixmap* down_channel_pixmap 	= NULL;
GdkBitmap* down_channel_mask 	= NULL;
GdkPixmap* create_channel_pixmap= NULL;
GdkBitmap* create_channel_mask 	= NULL;
GdkPixmap* create_priv_channel_pixmap = NULL;
GdkBitmap* create_priv_channel_mask = NULL;
GdkPixmap* create_channel_from_dir_pixmap = NULL;
GdkBitmap* create_channel_from_dir_mask = NULL;
GdkPixmap* join_channel_pixmap 	= NULL;
GdkBitmap* join_channel_mask	= NULL;
GdkPixmap* leave_channel_pixmap	= NULL;
GdkBitmap* leave_channel_mask	= NULL;

GdkPixmap* chat_pixmap	 	= NULL;
GdkBitmap* chat_mask 		= NULL;
GdkPixmap* gray_chat_pixmap 	= NULL;
GdkBitmap* gray_chat_mask 	= NULL;
GdkPixmap* down_chat_pixmap 	= NULL;
GdkBitmap* down_chat_mask 	= NULL;
GdkPixmap* create_chat_pixmap 	= NULL;
GdkBitmap* create_chat_mask 	= NULL;
GdkPixmap* create_priv_chat_pixmap = NULL;
GdkBitmap* create_priv_chat_mask = NULL;
GdkPixmap* join_chat_pixmap 	= NULL;
GdkBitmap* join_chat_mask	= NULL;
GdkPixmap* leave_chat_pixmap	= NULL;
GdkBitmap* leave_chat_mask	= NULL;

GdkPixmap* search_pixmap	= NULL;
GdkBitmap* search_mask 		= NULL;
GdkPixmap* gray_search_pixmap 	= NULL;
GdkBitmap* gray_search_mask 	= NULL;
GdkPixmap* down_search_pixmap 	= NULL;
GdkBitmap* down_search_mask 	= NULL;
GdkPixmap* create_search_pixmap = NULL;
GdkBitmap* create_search_mask 	= NULL;
GdkPixmap* create_priv_search_pixmap = NULL;
GdkBitmap* create_priv_search_mask = NULL;
GdkPixmap* join_search_pixmap 	= NULL;
GdkBitmap* join_search_mask	= NULL;
GdkPixmap* leave_search_pixmap	= NULL;
GdkBitmap* leave_search_mask	= NULL;


void
ggui_load_pixmaps (void)
{
  GdkColor transparent;

  /* Load the pixmaps */
  #define LOAD_PIXMAP(P,M,X) \
     P = gdk_pixmap_create_from_xpm_d (jmw->window, &M, &transparent, X);  \
     g_assert (P && M);

  LOAD_PIXMAP (x_pixmap, 	    x_mask,            tony_x_xpm);

  LOAD_PIXMAP (folder_pixmap, 	    folder_mask,       folder_closed_xpm);
  LOAD_PIXMAP (create_dir_pixmap,   create_dir_mask,   tony_create_folder_xpm);
  LOAD_PIXMAP (back_pixmap,   	    back_mask,         back_xpm);

  LOAD_PIXMAP (page_pixmap,         page_mask,         page_xpm);
  LOAD_PIXMAP (gray_page_pixmap,    gray_page_mask,    gray_page_xpm);
  LOAD_PIXMAP (down_page_pixmap,    down_page_mask,    down_page_xpm);

  LOAD_PIXMAP (url_pixmap, 	    url_mask, 	       url_xpm);

  LOAD_PIXMAP (channel_pixmap,      channel_mask,      channel_xpm);
  LOAD_PIXMAP (gray_channel_pixmap, gray_channel_mask, gray_channel_xpm);
  LOAD_PIXMAP (down_channel_pixmap, down_channel_mask, down_channel_xpm);
  LOAD_PIXMAP (create_channel_pixmap, create_channel_mask, tony_create_channel_xpm);
  LOAD_PIXMAP (create_priv_channel_pixmap, create_priv_channel_mask, tony_create_private_channel_xpm);
  LOAD_PIXMAP (join_channel_pixmap, join_channel_mask, tony_join_channel_xpm);
  LOAD_PIXMAP (leave_channel_pixmap, leave_channel_mask, tony_leave_channel_xpm);

  LOAD_PIXMAP (chat_pixmap,         chat_mask,         chat_xpm);
  LOAD_PIXMAP (gray_chat_pixmap,    gray_chat_mask,    gray_chat_xpm);
  LOAD_PIXMAP (down_chat_pixmap,    down_chat_mask,    down_chat_xpm);
  LOAD_PIXMAP (create_chat_pixmap,  create_chat_mask,  tony_create_chat_xpm);
  LOAD_PIXMAP (create_priv_chat_pixmap, create_priv_chat_mask, tony_create_private_chat_xpm);
  LOAD_PIXMAP (create_channel_from_dir_pixmap,   create_channel_from_dir_mask,   
	       tony_create_channel_from_directory_xpm);
  LOAD_PIXMAP (join_chat_pixmap,    join_chat_mask,    tony_join_chat_xpm);
  LOAD_PIXMAP (leave_chat_pixmap,   leave_chat_mask,   tony_leave_chat_xpm);

  LOAD_PIXMAP (search_pixmap,       search_mask,       search_xpm);
  LOAD_PIXMAP (gray_search_pixmap,  gray_search_mask,  gray_search_xpm);
  LOAD_PIXMAP (down_search_pixmap,  down_search_mask,  down_search_xpm);
  LOAD_PIXMAP (create_search_pixmap, create_search_mask, tony_create_search_xpm);
  LOAD_PIXMAP (create_priv_search_pixmap, create_priv_search_mask, tony_create_private_search_xpm);
  LOAD_PIXMAP (join_search_pixmap,  join_search_mask,  tony_join_search_xpm);
  LOAD_PIXMAP (leave_search_pixmap, leave_search_mask, tony_leave_search_xpm);

}
