/* Jungle Monkey
 * Copyright (C) 1999-2001  The Regents of the University of Michigan
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _JMINDEX_H
#define _JMINDEX_H

#include <glib.h>
#include <gnet/gnet.h>
#include <stdio.h>

#include "jmann.h"
#include "mtp/mtp_mirror.h"


typedef struct _JMIndex
{
  GSList*	  anns;	      /* Anns in index		*/
  /* TODO: This should be a hash table for faster removal */
  guint		  num_anns;   /* Number of anns 	*/
  JMAnn*	  me_ann;     /* Announcement for me	*/
  gchar*   	  path;	      /* Path			*/
  gint	   	  length;     /* Length of file		*/
  gboolean        is_dirty;   /* File is dirty		*/
  GSHA*	          sha;	      /* SHA			*/
  MtpLocalMirror* mirror;     /* Mirror of index	*/	
  struct _JMChannel* channel; /* Parent channel		*/

} JMIndex;

struct _JMAnn;


JMIndex* jmindex_new (struct _JMChannel* channel);
void     jmindex_delete (JMIndex* index);

void	 jmindex_add (JMIndex* index, JMAnn* ann);
void	 jmindex_remove (JMIndex* index, JMAnn* ann);
#define	 jmindex_have(I,A) (g_slist_find((I)->anns, A) != NULL)

void	 jmindex_touch (JMIndex* index);
void 	 jmindex_rewrite (JMIndex* index);

#endif /* _JMINDEX_H */
