/* Jungle Monkey
 * Copyright (C) 1999-2001  The Regents of the University of Michigan
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _JMRINDEX_H
#define _JMRINDEX_H

#include <glib.h>
#include <gnet/gnet.h>
#include <stdio.h>

#include "mtp/mtp_client.h"

/* Remote index */
typedef struct _JMRIndex	
{
  gchar*   	  path;	      /* Path			*/
  gboolean	  have_file;  /* Have full file?	*/
  Timeval	  last_process;/* Last time processed	*/

  GSHA*	          sha;	      /* SHA			*/
  MtpClient*      client;     /* Client for download	*/

  struct _JMChannel* channel; /* Parent channel		*/
  struct _JMAnn*     ann;     /* Announcement		*/

} JMRIndex;


JMRIndex* jmrindex_new (struct _JMChannel* channel, struct _JMAnn* ann);
void      jmrindex_delete (JMRIndex* index);
void 	  jmrindex_update (JMRIndex* index);

#endif /* _JMRINDEX_H */
