/* Jungle Monkey
 * Copyright (C) 1999-2001  The Regents of the University of Michigan
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef _JMMSP_DEBUG_H
#define _JMMSP_DEBUG_H

extern unsigned int jmmsp_debug_flags;

/*

  00000001 	JMMSP
  00000002 	JMMSP Cache handlers
  00000004 	JMMSP Search handlers
  00000008 	JMMSP VFS handlers

 */

#ifdef __GNUC__
#include <stdio.h>
#define JMMSPP(TYPE, FMT, ARGS...)  do { if (jmmsp_debug_flags & TYPE) fprintf(stderr, "JMMSP: " FMT, ## ARGS); } while(0)
#else
#define JMMSPP(TYPE, FMT, ARGS...) /* JMMSPP */
#endif


#endif /* _JMMSP_DEBUG_H */
